#
# spec file for package nodejs-mkdirp
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name mkdirp

Name:           nodejs-mkdirp
Version:        0.5.1
Release:        15.1
Summary:        Create Directory for Node.js
License:        MIT
Group:          Development/Libraries/Other
Url:            https://github.com/substack/node-mkdirp
Source:         %{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
Create nested directories, works like mkdir -p.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
cp -pr package.json index.js \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}/

%files
%defattr(-,root,root,-)
%doc LICENSE readme.markdown examples
%{nodejs_modulesdir}/%{base_name}

%changelog
* Fri Jun  5 2015 i@marguerite.su
- update version 0.5.1
- drop mkdirp-deps.diff
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Fri Oct 10 2014 jgleissner@suse.com
- Add mkdirp-deps.diff: be less strict about version of minimist.
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Sun Sep 21 2014 i@marguerite.su
- format specfile
* Fri Sep 12 2014 jgleissner@suse.com
- cleanup
* Tue Jul 29 2014 i@marguerite.su
- update version 0.5.0
* Sat May  3 2014 i@marguerite.su
- update version 0.4.0
* Wed Jan 29 2014 rschweikert@suse.com
- specfile clean up
  + locally define module path
  + use module path specification for file location
* Tue Jan 28 2014 rschweikert@suse.com
- Initial build
